<?php



$tdataTiposPlantas = array();
$tdataTiposPlantas[".searchableFields"] = array();
$tdataTiposPlantas[".ShortName"] = "TiposPlantas";
$tdataTiposPlantas[".OwnerID"] = "";
$tdataTiposPlantas[".OriginalTable"] = "TiposPlantas";


$tdataTiposPlantas[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"search\":[\"search\"]}" );
$tdataTiposPlantas[".originalPagesByType"] = $tdataTiposPlantas[".pagesByType"];
$tdataTiposPlantas[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"search\":[\"search\"]}" ) );
$tdataTiposPlantas[".originalPages"] = $tdataTiposPlantas[".pages"];
$tdataTiposPlantas[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"search\":\"search\"}" );
$tdataTiposPlantas[".originalDefaultPages"] = $tdataTiposPlantas[".defaultPages"];

//	field labels
$fieldLabelsTiposPlantas = array();
$fieldToolTipsTiposPlantas = array();
$pageTitlesTiposPlantas = array();
$placeHoldersTiposPlantas = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsTiposPlantas["Portuguese(Standard)"] = array();
	$fieldToolTipsTiposPlantas["Portuguese(Standard)"] = array();
	$placeHoldersTiposPlantas["Portuguese(Standard)"] = array();
	$pageTitlesTiposPlantas["Portuguese(Standard)"] = array();
	$fieldLabelsTiposPlantas["Portuguese(Standard)"]["CodTipo"] = "Cod Tipo";
	$fieldToolTipsTiposPlantas["Portuguese(Standard)"]["CodTipo"] = "";
	$placeHoldersTiposPlantas["Portuguese(Standard)"]["CodTipo"] = "";
	$fieldLabelsTiposPlantas["Portuguese(Standard)"]["Nome"] = "Nome";
	$fieldToolTipsTiposPlantas["Portuguese(Standard)"]["Nome"] = "";
	$placeHoldersTiposPlantas["Portuguese(Standard)"]["Nome"] = "";
	if (count($fieldToolTipsTiposPlantas["Portuguese(Standard)"]))
		$tdataTiposPlantas[".isUseToolTips"] = true;
}


	$tdataTiposPlantas[".NCSearch"] = true;


	$tdataTiposPlantas[".scrollGridBody"] = true;

$tdataTiposPlantas[".shortTableName"] = "TiposPlantas";
$tdataTiposPlantas[".nSecOptions"] = 0;

$tdataTiposPlantas[".mainTableOwnerID"] = "";
$tdataTiposPlantas[".entityType"] = 0;

$tdataTiposPlantas[".strOriginalTableName"] = "TiposPlantas";

	



$tdataTiposPlantas[".showAddInPopup"] = true;

$tdataTiposPlantas[".showEditInPopup"] = false;

$tdataTiposPlantas[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
			;
$popupPagesLayoutNames["add"] = "add";
$tdataTiposPlantas[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdataTiposPlantas[".listAjax"] = false;
//	temporary
$tdataTiposPlantas[".listAjax"] = false;

	$tdataTiposPlantas[".audit"] = true;

	$tdataTiposPlantas[".locking"] = true;


$pages = $tdataTiposPlantas[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataTiposPlantas[".edit"] = true;
	$tdataTiposPlantas[".afterEditAction"] = 1;
	$tdataTiposPlantas[".closePopupAfterEdit"] = 1;
	$tdataTiposPlantas[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataTiposPlantas[".add"] = true;
$tdataTiposPlantas[".afterAddAction"] = 1;
$tdataTiposPlantas[".closePopupAfterAdd"] = 1;
$tdataTiposPlantas[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataTiposPlantas[".list"] = true;
}



$tdataTiposPlantas[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataTiposPlantas[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataTiposPlantas[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataTiposPlantas[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataTiposPlantas[".printFriendly"] = true;
}



$tdataTiposPlantas[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataTiposPlantas[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataTiposPlantas[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataTiposPlantas[".isUseAjaxSuggest"] = true;

$tdataTiposPlantas[".rowHighlite"] = true;



			

$tdataTiposPlantas[".ajaxCodeSnippetAdded"] = false;

$tdataTiposPlantas[".buttonsAdded"] = false;

$tdataTiposPlantas[".addPageEvents"] = false;

// use timepicker for search panel
$tdataTiposPlantas[".isUseTimeForSearch"] = false;




$tdataTiposPlantas[".allSearchFields"] = array();
$tdataTiposPlantas[".filterFields"] = array();
$tdataTiposPlantas[".requiredSearchFields"] = array();

$tdataTiposPlantas[".googleLikeFields"] = array();
$tdataTiposPlantas[".googleLikeFields"][] = "CodTipo";
$tdataTiposPlantas[".googleLikeFields"][] = "Nome";



$tdataTiposPlantas[".tableType"] = "list";

$tdataTiposPlantas[".printerPageOrientation"] = 0;
$tdataTiposPlantas[".nPrinterPageScale"] = 100;

$tdataTiposPlantas[".nPrinterSplitRecords"] = 40;

$tdataTiposPlantas[".geocodingEnabled"] = false;










$tdataTiposPlantas[".pageSize"] = 999;

$tdataTiposPlantas[".warnLeavingPages"] = true;



$tstrOrderBy = "ORDER BY CodTipo";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataTiposPlantas[".strOrderBy"] = $tstrOrderBy;

$tdataTiposPlantas[".orderindexes"] = array();
	$tdataTiposPlantas[".orderindexes"][] = array(1, (1 ? "ASC" : "DESC"), "CodTipo");


$tdataTiposPlantas[".sqlHead"] = "SELECT CodTipo,  Nome";
$tdataTiposPlantas[".sqlFrom"] = "FROM TiposPlantas";
$tdataTiposPlantas[".sqlWhereExpr"] = "";
$tdataTiposPlantas[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataTiposPlantas[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataTiposPlantas[".arrGroupsPerPage"] = $arrGPP;

$tdataTiposPlantas[".highlightSearchResults"] = true;

$tableKeysTiposPlantas = array();
$tableKeysTiposPlantas[] = "CodTipo";
$tdataTiposPlantas[".Keys"] = $tableKeysTiposPlantas;


$tdataTiposPlantas[".hideMobileList"] = array();




//	CodTipo
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "CodTipo";
	$fdata["GoodName"] = "CodTipo";
	$fdata["ownerTable"] = "TiposPlantas";
	$fdata["Label"] = GetFieldLabel("TiposPlantas","CodTipo");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "CodTipo";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "CodTipo";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataTiposPlantas["CodTipo"] = $fdata;
		$tdataTiposPlantas[".searchableFields"][] = "CodTipo";
//	Nome
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Nome";
	$fdata["GoodName"] = "Nome";
	$fdata["ownerTable"] = "TiposPlantas";
	$fdata["Label"] = GetFieldLabel("TiposPlantas","Nome");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Nome";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Nome";

	
		$fdata["CompatibilityMode"] = true;

				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 143;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

	// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 1;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataTiposPlantas["Nome"] = $fdata;
		$tdataTiposPlantas[".searchableFields"][] = "Nome";


$tables_data["TiposPlantas"]=&$tdataTiposPlantas;
$field_labels["TiposPlantas"] = &$fieldLabelsTiposPlantas;
$fieldToolTips["TiposPlantas"] = &$fieldToolTipsTiposPlantas;
$placeHolders["TiposPlantas"] = &$placeHoldersTiposPlantas;
$page_titles["TiposPlantas"] = &$pageTitlesTiposPlantas;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["TiposPlantas"] = array();
//	Plantas
	
	

		$dIndex = 0;
	$detailsParam = array();
	$detailsParam["dDataSourceTable"]="Plantas";
		$detailsParam["dOriginalTable"] = "Plantas";



				$detailsParam["dType"]=PAGE_LIST;
	$detailsParam["dShortTable"] = "Plantas";
	$detailsParam["dCaptionTable"] = GetTableCaption("Plantas");
	$detailsParam["masterKeys"] =array();
	$detailsParam["detailKeys"] =array();


		
	$detailsTablesData["TiposPlantas"][$dIndex] = $detailsParam;

	
		$detailsTablesData["TiposPlantas"][$dIndex]["masterKeys"] = array();

	$detailsTablesData["TiposPlantas"][$dIndex]["masterKeys"][]="CodTipo";

				$detailsTablesData["TiposPlantas"][$dIndex]["detailKeys"] = array();

	$detailsTablesData["TiposPlantas"][$dIndex]["detailKeys"][]="TipoPlanta";

// tables which are master tables for current table (detail)
$masterTablesData["TiposPlantas"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_TiposPlantas()
{
$proto1=array();
$proto1["m_strHead"] = "SELECT";
$proto1["m_strFieldList"] = "CodTipo,  Nome";
$proto1["m_strFrom"] = "FROM TiposPlantas";
$proto1["m_strWhere"] = "";
$proto1["m_strOrderBy"] = "ORDER BY CodTipo";
	
		;
			$proto1["cipherer"] = null;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = false;
$proto3["m_inBrackets"] = false;
$proto3["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto3);

$proto1["m_where"] = $obj;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto1["m_having"] = $obj;
$proto1["m_fieldlist"] = array();
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "CodTipo",
	"m_strTable" => "TiposPlantas",
	"m_srcTableName" => "TiposPlantas"
));

$proto7["m_sql"] = "CodTipo";
$proto7["m_srcTableName"] = "TiposPlantas";
$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto1["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "Nome",
	"m_strTable" => "TiposPlantas",
	"m_srcTableName" => "TiposPlantas"
));

$proto9["m_sql"] = "Nome";
$proto9["m_srcTableName"] = "TiposPlantas";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto1["m_fieldlist"][]=$obj;
$proto1["m_fromlist"] = array();
												$proto11=array();
$proto11["m_link"] = "SQLL_MAIN";
			$proto12=array();
$proto12["m_strName"] = "TiposPlantas";
$proto12["m_srcTableName"] = "TiposPlantas";
$proto12["m_columns"] = array();
$proto12["m_columns"][] = "CodTipo";
$proto12["m_columns"][] = "Nome";
$obj = new SQLTable($proto12);

$proto11["m_table"] = $obj;
$proto11["m_sql"] = "TiposPlantas";
$proto11["m_alias"] = "";
$proto11["m_srcTableName"] = "TiposPlantas";
$proto13=array();
$proto13["m_sql"] = "";
$proto13["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto13["m_column"]=$obj;
$proto13["m_contained"] = array();
$proto13["m_strCase"] = "";
$proto13["m_havingmode"] = false;
$proto13["m_inBrackets"] = false;
$proto13["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto13);

$proto11["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto11);

$proto1["m_fromlist"][]=$obj;
$proto1["m_groupby"] = array();
$proto1["m_orderby"] = array();
												$proto15=array();
						$obj = new SQLField(array(
	"m_strName" => "CodTipo",
	"m_strTable" => "TiposPlantas",
	"m_srcTableName" => "TiposPlantas"
));

$proto15["m_column"]=$obj;
$proto15["m_bAsc"] = 1;
$proto15["m_nColumn"] = 0;
$obj = new SQLOrderByItem($proto15);

$proto1["m_orderby"][]=$obj;					
$proto1["m_srcTableName"]="TiposPlantas";		
$obj = new SQLQuery($proto1);

	return $obj;
}
$queryData_TiposPlantas = createSqlQuery_TiposPlantas();


	
		;

		

$tdataTiposPlantas[".sqlquery"] = $queryData_TiposPlantas;

$tableEvents["TiposPlantas"] = new eventsBase;
$tdataTiposPlantas[".hasEvents"] = false;

?>